libdvbv5: atsc_table_vct_channel Struct Reference

libdvbv5 1.32.0 Library to work with Digital TV devices on Linux

atsc_table_vct_channel Struct Reference
Digital TV table parsing

ATSC VCT channel table (covers both CVCT and TVCT). More...

`#include <vct.h>`

## Data Fields
uint16_t | __short_name [7]
union { |
uint32_t bitfield1 |
struct { |
uint32_t modulation_mode:8 |
uint32_t minor_channel_number:10 |
uint32_t major_channel_number:10 |
uint32_t reserved1:4 |
} |
}; |
uint32_t | carrier_frequency
uint16_t | channel_tsid
uint16_t | program_number
union { |
uint16_t bitfield2 |
struct { |
uint16_t service_type:6 |
uint16_t reserved2:3 |
uint16_t hide_guide:1 |
uint16_t out_of_band:1 |
uint16_t path_select:1 |
uint16_t hidden:1 |
uint16_t access_controlled:1 |
uint16_t ETM_location:2 |
} |
}; |
uint16_t | source_id
union { |
uint16_t bitfield3 |
struct { |
uint16_t descriptors_length:10 |
uint16_t reserved3:6 |
} |
}; |
struct dvb_desc * | descriptor
struct atsc_table_vct_channel * | next
char | short_name [32]

## Detailed Description

ATSC VCT channel table (covers both CVCT and TVCT).

Parameters

  modulation_mode | modulation mode
  minor_channel_number | minor channel number
  major_channel_number | major channel number
  carrier_frequency | carrier frequency
  channel_tsid | channel tsid
  program_number | program number
  service_type | service type
  hide_guide | hide guide
  out_of_band | out of band (CVCT only)
  path_select | path select (CVCT only)
  hidden | hidden
  access_controlled | access controlled
  ETM_location | ETM location
  source_id | source ID
  descriptors_length | length of the descriptors
  descriptor | pointer to struct dvb_desc
  next | pointer to another struct atsc_table_vct_channel
  descriptors_length | length of the descriptors
  short_name | short name. The __short_name is converted from UTF-16 to locale charset when parsed

This structure is used to store the original VCT channel table, converting the integer fields to the CPU endianness.

The undocumented parameters are used only internally by the API and/or are fields that are reserved. They shouldn't be used, as they may change on future API releases.

Everything after atsc_table_vct_channel::descriptor (including it) won't be bit-mapped * to the data parsed from the MPEG TS. So, metadata are added there.

Definition at line 101 of file vct.h.

## Field Documentation

## ◆ [union]

union { ... } atsc_table_vct_channel

## ◆ [union]

union { ... } atsc_table_vct_channel

## ◆ [union]

union { ... } atsc_table_vct_channel

## ◆ __short_name

uint16_t atsc_table_vct_channel::__short_name[7]

Definition at line 102 of file vct.h.

## ◆ access_controlled

uint16_t atsc_table_vct_channel::access_controlled

Definition at line 126 of file vct.h.

## ◆ bitfield1

uint32_t atsc_table_vct_channel::bitfield1

Definition at line 105 of file vct.h.

## ◆ bitfield2

uint16_t atsc_table_vct_channel::bitfield2

Definition at line 118 of file vct.h.

## ◆ bitfield3

uint16_t atsc_table_vct_channel::bitfield3

Definition at line 134 of file vct.h.

## ◆ carrier_frequency

uint32_t atsc_table_vct_channel::carrier_frequency

Definition at line 114 of file vct.h.

## ◆ channel_tsid

uint16_t atsc_table_vct_channel::channel_tsid

Definition at line 115 of file vct.h.

## ◆ descriptor

struct dvb_desc* atsc_table_vct_channel::descriptor

Definition at line 146 of file vct.h.

## ◆ descriptors_length

uint16_t atsc_table_vct_channel::descriptors_length

Definition at line 136 of file vct.h.

## ◆ ETM_location

uint16_t atsc_table_vct_channel::ETM_location

Definition at line 127 of file vct.h.

## ◆ hidden

uint16_t atsc_table_vct_channel::hidden

Definition at line 125 of file vct.h.

## ◆ hide_guide

uint16_t atsc_table_vct_channel::hide_guide

Definition at line 122 of file vct.h.

## ◆ major_channel_number

uint32_t atsc_table_vct_channel::major_channel_number

Definition at line 109 of file vct.h.

## ◆ minor_channel_number

uint32_t atsc_table_vct_channel::minor_channel_number

Definition at line 108 of file vct.h.

## ◆ modulation_mode

uint32_t atsc_table_vct_channel::modulation_mode

Definition at line 107 of file vct.h.

## ◆ next

struct atsc_table_vct_channel* atsc_table_vct_channel::next

Definition at line 147 of file vct.h.

## ◆ out_of_band

uint16_t atsc_table_vct_channel::out_of_band

Definition at line 123 of file vct.h.

## ◆ path_select

uint16_t atsc_table_vct_channel::path_select

Definition at line 124 of file vct.h.

## ◆ program_number

uint16_t atsc_table_vct_channel::program_number

Definition at line 116 of file vct.h.

## ◆ reserved1

uint32_t atsc_table_vct_channel::reserved1

Definition at line 110 of file vct.h.

## ◆ reserved2

uint16_t atsc_table_vct_channel::reserved2

Definition at line 121 of file vct.h.

## ◆ reserved3

uint16_t atsc_table_vct_channel::reserved3

Definition at line 137 of file vct.h.

## ◆ service_type

uint16_t atsc_table_vct_channel::service_type

Definition at line 120 of file vct.h.

## ◆ short_name

char atsc_table_vct_channel::short_name[32]

Definition at line 151 of file vct.h.

## ◆ source_id

uint16_t atsc_table_vct_channel::source_id

Definition at line 132 of file vct.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/vct.h